Bug 1893409

Summary: [release-4.6] MCDPivotError alert/metric missing
Product: OpenShift Container Platform Reporter: OpenShift BugZilla Robot <openshift-bugzilla-robot>
Component: Machine Config OperatorAssignee: Kirsten Garrison <kgarriso>
Status: CLOSED ERRATA QA Contact: Michael Nguyen <mnguyen>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 4.6CC: skumari
Target Milestone: ---   
Target Release: 4.6.z   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-02-08 13:50:49 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1892448    
Bug Blocks:    

Comment 3 Michael Nguyen 2021-02-03 21:28:29 UTC
Verified on 4.6.0-0.nightly-2021-01-30-211400

MCDPivotError (2 active)

alert: MCDPivotError
expr: mcd_pivot_err > 0
labels:
  severity: warning
annotations:
  message: 'Error detected in pivot logs on {{ $labels.node }} '

Labels 	State 	Active Since 	Value
alertname="MCDPivotError" container="oauth-proxy" endpoint="metrics" err="failed to update OS to quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:2bbe912426dbb7062b2780b94a5c163e602ec649974a0f52f8522ada81ac5b17 : with stdout output: : error running rpm-ostree rebase --experimental /run/mco-machine-os-content/os-content-468201318/srv/repo:ae975cb010186a2396a3b452de526a382dcb460f016450a8c9bd46b8e03a963d --custom-origin-url pivot://quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:2bbe912426dbb7062b2780b94a5c163e602ec649974a0f52f8522ada81ac5b17 --custom-origin-description Managed by machine-config-operator: Writing objects: 733...done error: Pulling commit ae975cb010186a2396a3b452de526a382dcb460f016450a8c9bd46b8e03a963d from local repo: Importing e4fbe08281794144e05d948bad14ec505954948dac24e5266af27aece4d66e21.dirtree: fstatat(e4/fbe08281794144e05d948bad14ec505954948dac24e5266af27aece4d66e21.dirtree): No such file or directory : exit status 1" instance="10.0.129.35:9001" job="machine-config-daemon" namespace="openshift-machine-config-operator" node="ip-10-0-129-35.us-west-2.compute.internal" pivot_target="quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:2bbe912426dbb7062b2780b94a5c163e602ec649974a0f52f8522ada81ac5b17" pod="machine-config-daemon-cn4xn" service="machine-config-daemon" severity="warning" 	firing 	2021-02-03 21:25:32.044526034 +0000 UTC 	1.6123875144150007e+09
alertname="MCDPivotError" container="oauth-proxy" endpoint="metrics" err="failed to update OS to quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:2bbe912426dbb7062b2780b94a5c163e602ec649974a0f52f8522ada81ac5b17 : with stdout output: : error running rpm-ostree rebase --experimental /run/mco-machine-os-content/os-content-126203672/srv/repo:ae975cb010186a2396a3b452de526a382dcb460f016450a8c9bd46b8e03a963d --custom-origin-url pivot://quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:2bbe912426dbb7062b2780b94a5c163e602ec649974a0f52f8522ada81ac5b17 --custom-origin-description Managed by machine-config-operator: error: opendir(/run/mco-machine-os-content/os-content-126203672/srv/repo): No such file or directory : exit status 1" instance="10.0.129.35:9001" job="machine-config-daemon" namespace="openshift-machine-config-operator" node="ip-10-0-129-35.us-west-2.compute.internal" pivot_target="quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:2bbe912426dbb7062b2780b94a5c163e602ec649974a0f52f8522ada81ac5b17" pod="machine-config-daemon-cn4xn" service="machine-config-daemon" severity="warning"

Comment 5 errata-xmlrpc 2021-02-08 13:50:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: OpenShift Container Platform 4.6.16 security and bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:0308